package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.envers.Audited;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseModel;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;

/**
 *  class LisOrder
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "Lis_Order")
public class LisOrder extends BaseModel {
	

	@Column(name = "message_dt", nullable = true ,length=14)
	@Caption(value="message_dt")
	private String message_dt;

	@Column(name = "pid", nullable = true ,length=16)
	@Caption(value="pid")
	private String pid;
	
	@Column(name = "pname", nullable = true ,length=50)
	@Caption(value="pname")
	private String pname;
	
	@Column(name = "address1", nullable = true ,length=50)
	@Caption(value="address1")
	private String address1;
	
	@Column(name = "address2", nullable = true ,length=50)
	@Caption(value="address2")
	private String address2;
	
	@Column(name = "address3", nullable = true ,length=50)
	@Caption(value="address3")
	private String address3;
	
	@Column(name = "address4", nullable = true ,length=50)
	@Caption(value="address4")
	private String address4;
	
	@Column(name = "ptype", nullable = true ,length=2)
	@Caption(value="ptype")
	private String ptype;
	
	@Column(name = "birth_dt", nullable = true ,length=14)
	@Caption(value="birth_dt")
	private String birth_dt;
	
	@Column(name = "sex", nullable = true ,length=1)
	@Caption(value="sex")
	private String sex;
	
	@Column(name = "ono", nullable = true ,length=20)
	@Caption(value="ono")
	private String ono;
	
	@Column(name = "request_dt", nullable = true ,length=14)
	@Caption(value="request_dt")
	private String request_dt;
	
	@Column(name = "source", nullable = true ,length=57)
	@Caption(value="source")
	private String source;
	
	@Column(name = "clinician", nullable = true ,length=57)
	@Caption(value="clinician")
	private String clinician;
	
	@Column(name = "room_no", nullable = true ,length=6)
	@Caption(value="room_no")
	private String room_no;
	
	@Column(name = "priority", nullable = true ,length=1)
	@Caption(value="priority")
	private String priority;
	
	@Column(name = "visitno", nullable = true ,length=20)
	@Caption(value="visitno")
	private String visitno;
	
	@Column(name = "order_testid", nullable = true ,length=2000)
	@Caption(value="order_testid")
	private String order_testid;
	
	public String getMessage_dt() {
		return message_dt;
	}

	public void setMessage_dt(String message_dt) {
		this.message_dt = message_dt;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getPname() {
		return pname;
	}

	public void setPname(String pname) {
		this.pname = pname;
	}

	public String getAddress1() {
		return address1;
	}

	public void setAddress1(String address1) {
		this.address1 = address1;
	}

	public String getAddress2() {
		return address2;
	}

	public void setAddress2(String address2) {
		this.address2 = address2;
	}

	public String getAddress3() {
		return address3;
	}

	public void setAddress3(String address3) {
		this.address3 = address3;
	}

	public String getAddress4() {
		return address4;
	}

	public void setAddress4(String address4) {
		this.address4 = address4;
	}

	public String getPtype() {
		return ptype;
	}

	public void setPtype(String ptype) {
		this.ptype = ptype;
	}

	public String getBirth_dt() {
		return birth_dt;
	}

	public void setBirth_dt(String birth_dt) {
		this.birth_dt = birth_dt;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getOno() {
		return ono;
	}

	public void setOno(String ono) {
		this.ono = ono;
	}

	public String getRequest_dt() {
		return request_dt;
	}

	public void setRequest_dt(String request_dt) {
		this.request_dt = request_dt;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getClinician() {
		return clinician;
	}

	public void setClinician(String clinician) {
		this.clinician = clinician;
	}

	public String getRoom_no() {
		return room_no;
	}

	public void setRoom_no(String room_no) {
		this.room_no = room_no;
	}

	public String getPriority() {
		return priority;
	}

	public void setPriority(String priority) {
		this.priority = priority;
	}

	public String getVisitno() {
		return visitno;
	}

	public void setVisitno(String visitno) {
		this.visitno = visitno;
	}

	public String getOrder_testid() {
		return order_testid;
	}

	public void setOrder_testid(String order_testid) {
		this.order_testid = order_testid;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Id 
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "id")
	protected Integer id;
	


}

